"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sizeAttributes = {
    alert: {
        small: {
            fontSize: '.875rem',
            iconSize: '.875rem',
            padding: {
                x: '1.25rem',
                y: '.375rem',
            },
        },
        medium: {
            fontSize: '1rem',
            iconSize: '1rem',
            padding: {
                x: '1.25rem',
                y: '.75rem',
            },
        },
        large: {
            fontSize: '1rem',
            iconSize: '1rem',
            padding: {
                x: '1.25rem',
                y: '1rem',
            },
        },
    },
    badge: {
        small: {
            fixedSize: '18px',
            fontSize: '.75rem',
            iconSize: '.75rem',
            margin: {
                x: '.3125rem',
                y: '.3125rem',
            },
            padding: {
                x: '.1875rem',
                y: '.09375rem',
            },
        },
        medium: {
            fixedSize: '20px',
            fontSize: '.75rem',
            iconSize: '.75rem',
            margin: {
                x: '.3125rem',
                y: '.3125rem',
            },
            padding: {
                x: '.375rem',
                y: '.1875rem',
            },
        },
        large: {
            fixedSize: '22px',
            fontSize: '.875rem',
            iconSize: '.875rem',
            margin: {
                x: '.3125rem',
                y: '.3125rem',
            },
            padding: {
                x: '.65rem',
                y: '.3rem',
            },
        },
    },
    dropdown: {
        small: {
            fontSize: '.875rem',
            margin: {
                x: '.28rem',
                y: '.06rem',
            },
            padding: {
                x: '.15625rem',
                y: '.15625rem',
            },
        },
        medium: {
            fontSize: '.875rem',
            margin: {
                x: '.45rem',
                y: '.125rem',
            },
            padding: {
                x: '.3125rem',
                y: '.3125rem',
            },
        },
        large: {
            fontSize: '1rem',
            margin: {
                x: '.5rem',
                y: '.175rem',
            },
            padding: {
                x: '.625rem',
                y: '.625rem',
            },
        },
    },
    loading: {
        small: '10px',
        medium: '20px',
        large: '30px',
    },
    popover: {
        small: {
            fontSize: '.875rem',
            headerFontSize: '1rem',
            headerPadding: {
                x: '.5rem',
                y: '.4rem',
            },
            padding: {
                x: '.5rem',
                y: '.25rem',
            },
        },
        medium: {
            fontSize: '.875rem',
            headerFontSize: '1rem',
            headerPadding: {
                x: '.75rem',
                y: '.5rem',
            },
            padding: {
                x: '.8rem',
                y: '.7rem',
            },
        },
        large: {
            fontSize: '1rem',
            headerFontSize: '1.15rem',
            headerPadding: {
                x: '1.1rem',
                y: '1rem',
            },
            padding: {
                x: '1rem',
                y: '.75rem',
            },
        },
    },
    tooltip: {
        small: {
            fontSize: '.75rem',
            padding: {
                x: '.4rem',
                y: '.15rem',
            },
        },
        medium: {
            fontSize: '.875rem',
            padding: {
                x: '.6rem',
                y: '.3rem',
            },
        },
        large: {
            fontSize: '1rem',
            padding: {
                x: '.8rem',
                y: '.45rem',
            },
        },
    },
};
exports.default = sizeAttributes;
